LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- ~

Here is a list of all class members with links to the classes they belong to:

### - e -

- eAllEventBits : lldb::SBCommunication
- eBroadcastBitAsynchronousErrorData : lldb::SBCommandInterpreter
- eBroadcastBitAsynchronousOutputData : lldb::SBCommandInterpreter
- eBroadcastBitBreakpointChanged : lldb::SBTarget
- eBroadcastBitDisconnected : lldb::SBCommunication
- eBroadcastBitInterrupt : lldb::SBProcess
- eBroadcastBitModulesLoaded : lldb::SBTarget
- eBroadcastBitModulesUnloaded : lldb::SBTarget
- eBroadcastBitPacketAvailable : lldb::SBCommunication
- eBroadcastBitProfileData : lldb::SBProcess
- eBroadcastBitQuitCommandReceived : lldb::SBCommandInterpreter
- eBroadcastBitReadThreadDidExit : lldb::SBCommunication
- eBroadcastBitReadThreadGotBytes : lldb::SBCommunication
- eBroadcastBitReadThreadShouldExit : lldb::SBCommunication
- eBroadcastBitResetPrompt : lldb::SBCommandInterpreter
- eBroadcastBitSelectedFrameChanged : lldb::SBThread
- eBroadcastBitStackChanged : lldb::SBThread
- eBroadcastBitStateChanged : lldb::SBProcess
- eBroadcastBitSTDERR : lldb::SBProcess
- eBroadcastBitSTDOUT : lldb::SBProcess
- eBroadcastBitSymbolsLoaded : lldb::SBTarget
- eBroadcastBitThreadResumed : lldb::SBThread
- eBroadcastBitThreadSelected : lldb::SBThread
- eBroadcastBitThreadShouldExit : lldb::SBCommandInterpreter
- eBroadcastBitThreadSuspended : lldb::SBThread
- eBroadcastBitWatchpointChanged : lldb::SBTarget
- EffectiveGroupIDIsValid() : lldb::SBAttachInfo
- EffectiveUserIDIsValid() : lldb::SBAttachInfo
- EmulateWithFrame() : lldb::SBInstruction
- EnableAllBreakpoints() : lldb::SBTarget
- EnableAllWatchpoints() : lldb::SBTarget
- EnableLog() : lldb::SBDebugger
- EvaluateExpression() : lldb::SBFrame , lldb::SBTarget
- EventIsBreakpointEvent() : lldb::SBBreakpoint
- EventIsProcessEvent() : lldb::SBProcess
- EventIsThreadEvent() : lldb::SBThread
- EventIsWatchpointEvent() : lldb::SBWatchpoint
- EventTypeHasListeners() : lldb::SBBroadcaster
- Exists() : lldb::SBFileSpec